#!/bin/bash

function usage {
	echo "Usage: waitpid.sh <pid> <timeout>"
}

function checkpid {
	ps -p $1 > /dev/null
	return $?
}

function waitpid {
	pid=$1
	timeout=$2

	t=0
	
	while [ $t -lt $timeout ]; do
		if checkpid $pid; then
			sleep 1
			let t+=1
			echo "waiting ($pid) $t"
		else
			echo "prcoess ($pid) exited"
			exit 0
		fi
	done

	if checkpid $pid; then
		kill -9 $pid
		echo "process ($pid) killed"
	fi
}

if [ $# -lt 2 ]; then
	usage
	exit 1
fi

waitpid $1 $2
